import babel from 'babel-core';
export interface EngineOptions {
    doctype: string;
    beautify: boolean;
    transformViews: boolean;
    babel: babel.TransformOptions;
}
declare type ObjectAlias = object;
export interface Options extends ObjectAlias {
    settings: {
        views: string | string[];
        env: string;
    };
}
declare function _createEngine(engineOptions?: EngineOptions): (filename: string, options?: Options | undefined, cb?: Function | undefined) => any;
export declare const createEngine: typeof _createEngine;
export {};
